* (F) Scenarist (IRAP) - Scenario executor

11/10/2016 12:17 pm - Etienne Pallier

Status: Nouveau Start date:

Priority: Normal Due date:

Assignee: Jeremy Barneron % Done: 70%
Category: Estimated time: 50.00 hours
Target version: Version 0.14 - Execution with Simulators (MBpient time: 8.00 hours
Description

Exécuteur de scénario.

1) Il lit un scénario au format JSON,

contenant des parametres pour TOUS les simulateurs (Routine, Alert, PLC, ...),

2) il lance chaque simulateur en tant que processus indépendant, et lui passe les parametres nécessaires a son fonctionnement (ex:
soumettre routine1 a 20h30, puis routine2 a 20h33...)

3) il regarde si les fichiers résultats attendus (images L0, images L1a, rapports L1b) sont bien produits et affiche OK ou KO

L'exécution d'un scénario déclenchera les simulateurs, ce qui fera fonctionner le logiciel Pyros dans des conditions les plus réalistes
possibles.

Les simulateurs principalement sollicités seront les simulateurs d'alertes et de routines puisqu'ils sont les principaux points d'entrée du
logiciel et qu'ils déclenchent le workflow complet de traitement de Pyros (création des requetes, soumission au planning, planification,
exécution, calibration et analyse...)

Related issues:
Copied from Evolution # 4314: * (F) Users management Nouveau 05/27/2016

History

#1 - 11/10/2016 12:30 pm - Etienne Pallier
- Subject changed from * (F) Users management to * (F) General Demonstrator

- Description updated

#2 - 11/10/2016 12:44 pm - Etienne Pallier

- Subject changed from * (F) General Demonstrator to * (F) General Demonstrator (IRAP)

#3 - 11/10/2016 04:18 pm - Etienne Pallier
- Estimated time set to 100.00

#4 - 11/10/2016 04:18 pm - Etienne Pallier
- % Done changed from 0 to 10

#5 - 11/10/2016 04:20 pm - Etienne Pallier
- Estimated time changed from 100.00 to 50.00

#6 - 11/10/2016 07:04 pm - Etienne Pallier
- Subject changed from * (F) General Demonstrator (IRAP) to * (F) Scenarist (IRAP) - Scenario executor

- Description updated

#7 - 12/01/2016 06:18 pm - Jeremy Barneron

- Assignee set to Jeremy Barneron
- Target version set to Version 0.14 - Execution with Simulators (v0.1)

- % Done changed from 10 to 70
